function result=ils(x)
global solF kappa sigma lambda delta m maversion A
pe=deval(solF,x,1);
[prime1,prime2]=deval(solF,x,3);
peprime=prime1;
qe=deval(solF,x,2);
[prime1,prime2]=deval(solF,x,4);
qeprime=prime1;

we=pe+qe;weprime=peprime+qeprime;
i=(qe-1)/kappa;
inv=i+delta;
con=A-delta-i-i.^2/2*kappa;

ttheta=max(we/x,1/(1-lambda)); %checked
SR=maversion*sigma*ttheta*(we-x*weprime)/(we-x*m*ttheta*weprime); %checked

result=[inv;pe;SR;qe;con];